Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# AsymptoticFunction Class Reference

A class representing an asymptotic function in a potential field f(x) = a/x +b. More...

`#include <PotentialFunctions.h>`

Inheritance diagram for AsymptoticFunction:

[legend]
Collaboration diagram for AsymptoticFunction:

[legend]
List of all members.

## Public Member Functions
| AsymptoticFunction (double range, double atZero, double solidCenter)
| Constructor.
virtual PotentialfieldFunction * | clone ()
| Clones a function object.
## Protected Member Functions
double | f (double x) const
| Computes the value of the function for a given x.
double | d (double x) const
| Computes the value of the derivative of the function for a given x.
virtual double | dd (double x) const
| Computes the value of the second derivative of the function for a given x.
virtual void | init ()
| Computes the values of a and b.
## Protected Attributes
double | solidCenter
| f(x) = atZero for x <= solidCenter

## Detailed Description

A class representing an asymptotic function in a potential field f(x) = a/x +b.

Definition at line 319 of file PotentialFunctions.h.

## Constructor & Destructor Documentation

AsymptoticFunction::AsymptoticFunction | ( | double | range,
|  | double | atZero,
|  | double | solidCenter
| ) | `[inline]`

  | Constructor. Parameters:
  range | The range of the function
  atZero | The value of the function for x having the value 0
  solidCenter | f(x) = atZero for x < solidCenter
Definition at line 328 of file PotentialFunctions.h. References init(). Referenced by clone().

Here is the call graph for this function:

## Member Function Documentation

virtual PotentialfieldFunction* AsymptoticFunction::clone | ( |  | ) | `[inline, virtual]`

| Clones a function object. Returns: A pointer to a copy of the object Implements PotentialfieldFunction. Definition at line 339 of file PotentialFunctions.h. References AsymptoticFunction(), PotentialfieldFunction::getStandardParameters(), and solidCenter.

Here is the call graph for this function:

double AsymptoticFunction::f | ( | double | x | ) | const`[inline, protected, virtual]`

  | Computes the value of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 354 of file PotentialFunctions.h. References solidCenter.

double AsymptoticFunction::d | ( | double | x | ) | const`[inline, protected, virtual]`

  | Computes the value of the derivative of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 370 of file PotentialFunctions.h. References solidCenter.

virtual double AsymptoticFunction::dd | ( | double | x | ) | const`[inline, protected, virtual]`

  | Computes the value of the second derivative of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 386 of file PotentialFunctions.h.

virtual void AsymptoticFunction::init | ( |  | ) | `[inline, protected, virtual]`

| Computes the values of a and b. Reimplemented from PotentialfieldFunction. Definition at line 392 of file PotentialFunctions.h. References solidCenter. Referenced by AsymptoticFunction().

## Member Data Documentation

double AsymptoticFunction::solidCenter`[protected]`

| f(x) = atZero for x <= solidCenter Definition at line 348 of file PotentialFunctions.h. Referenced by clone(), d(), f(), and init().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/PotentialFunctions.h